#
# spec file for package xibod (Version 2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  openmotif openmotif-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openmotif openmotif-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xibod
Copyright:    GPL
Group:        Applications/Communications
Autoreqprov:  on
URL:          http://www.compound.se/ibod.html
Version:      2.0
Release:      111
Summary:      Control panel for ibod ISDN bandwidth-on-demand daemon
Source: xibod-2.0.tgz
Buildroot: /var/tmp/xibod.build

%description
This is the control panel for the ibod(1) ISDN Bandwidth
On Demand daemon. It is a Motif application that communicates
over a TCP socket port 6051 with the ibod daemon.
This Package includes the ibod daemon.

Authors:
--------
    Bjoern Smith <Smith@Compound.SE>
    Karsten Keil <kkeil@suse.de>

SuSE series: n

%prep
%setup -n xibod
#%patch -P 1

%build
if [ "X" != "${RPM_BUILD_ROOT}X" ]; then
	rm -rf $RPM_BUILD_ROOT
fi
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking dynamic
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" LDFLAGS="-L/usr/X11R6/lib"
#mv xibod xibod.SuSE-dynamic
#test -x /usr/sbin/switch_motif_linking && \
#  /usr/sbin/switch_motif_linking static
#make LDFLAGS="-L/usr/X11R6/lib"
cd ../ibod
rm -f ibod
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/ppp
mkdir -p $RPM_BUILD_ROOT/usr/share/man/{man1,man4}
install -s xibod $RPM_BUILD_ROOT/usr/X11R6/bin
#install -s xibod.SuSE-dynamic $RPM_BUILD_ROOT/usr/X11R6/bin
install -s Xibod.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Xibod
#ln -sf xibod.SuSE-static $RPM_BUILD_ROOT/usr/X11R6/bin/xibod
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
install -s README $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cd ../ibod
install -m 755 ibod $RPM_BUILD_ROOT/usr/sbin
install -m 644 ibod.cf $RPM_BUILD_ROOT/etc/ppp
install -m 644 ibod.1 $RPM_BUILD_ROOT/usr/share/man/man1
install -m 644 ibod.cf.4 $RPM_BUILD_ROOT/usr/share/man/man4

%files
#/usr/X11R6/bin/xibod.SuSE-static
#/usr/X11R6/bin/xibod.SuSE-dynamic
/usr/X11R6/bin/xibod
%config /usr/X11R6/lib/X11/app-defaults/Xibod
/usr/sbin/ibod
%config(noreplace) /etc/ppp/ibod.cf
%doc /usr/share/man/man1/ibod.1.gz
%doc /usr/share/man/man4/ibod.cf.4.gz
%doc %{_defaultdocdir}/%{name}

%changelog -n xibod
* Mon Mar 12 2001 - kkeil@suse.de
- add xf86 to needforbuild
* Thu Mar 08 2001 - kkeil@suse.de
- rewrite ibod and xibod to support multiple bundles and more as
  one slave channel.
  Sponsored by Mummert & Partner Berlin, Germany
* Tue Nov 21 2000 - ro@suse.de
- use openmotif
* Tue Jul 11 2000 - kkeil@suse.de
- The xibod interface was disabled
* Fri Jun 23 2000 - kkeil@suse.de
- change /sbin/ibod to /usr/sbin/ibod
* Fri Jun 23 2000 - kkeil@suse.de
- update ibod to pds version
- use Buildroot
* Thu Feb 24 2000 - freitag@suse.de
- moved manpages to /usr/share/man
* Thu Feb 10 2000 - @suse.de
- new version of ibod
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 12 1999 - uli@suse.de
- now builds with lesstif
- added "rm -f ibod" to avoid packaging an old libc5 binary
* Tue May 19 1998 - ray@suse.de
- Add -lXp for motif 2.1
* Sat May 09 1998 - ray@suse.de
- new package
